import { PipelineTask } from './../pipeline-task.entity';
import { PipelineUnits } from '../enums/pipeline-units.enum';
import { Field, HideField, ObjectType } from '@nestjs/graphql';

@ObjectType()
export class PipelineTaskLogMessage {
  @HideField()
  task: PipelineTask;
  @Field(() => PipelineUnits)
  unit: PipelineUnits;
  time: Date;
  message: string;

  static create(task: PipelineTask, message: string) {
    return Object.assign(new PipelineTaskLogMessage(), {
      task,
      message,
      time: new Date(),
    });
  }
}
